develooper Front page | perl.perl5.porters | Postings from December 2017

Re: Revisiting smart match

Thread Previous | Thread Next
From:
Kent Fredric
Date:
December 25, 2017 19:22
Subject:
Re: Revisiting smart match
Message ID:
CAATnKFA1B25mn6gEXx0PintB3ybm4z0omaGsT0LpCB6q=qp8aA@mail.gmail.com
On 26 December 2017 at 04:52, David Golden <xdg@xdg.me> wrote:

> Arguments that "people on old perls will suffer when they upgrade" don't
> carry a lot of weight with me, as that population has already demonstrated
> they don't upgrade often or they'd have seen the warning.

You know that's chicken/egg right?

They don't upgrade because they know there are functionalities broken
by upgrading.
And then we see them not upgrading due to breakages and go "fine, we
can break stuff, they're not upgrading"

Later, some perl module they were relying on decides to depends on
features a newer perl.

And we have the gall to ask why they won't upgrade perl to get that feature.

We should be striving to make this problem less significant, not
making it worse.

-- 
Kent

KENTNL - https://metacpan.org/author/KENTNL

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About